## Get Result Region

`PresignedUrl Sheets.GetResultTable(SheetGetResultTableParamsparameters, CancellationTokencancellationToken = default)`

**get** `/api/v1/sheets/jobs/{spreadsheet_job_id}/regions/{region_id}/result/{region_type}`

Generate a presigned URL to download a specific extracted region.

### Parameters

- `SheetGetResultTableParams parameters`

  - `required string spreadsheetJobID`

    Path param

  - `required string regionID`

    Path param

  - `required RegionType regionType`

    Path param

    - `"cell_metadata"CellMetadata`

    - `"extra"Extra`

    - `"table"Table`

  - `Long? expiresAtSeconds`

    Query param

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

### Returns

- `class PresignedUrl:`

  Schema for a presigned URL.

  - `required DateTimeOffset ExpiresAt`

    The time at which the presigned URL expires

  - `required string Url`

    A presigned URL for IO operations against a private file

  - `IReadOnlyDictionary<string, string>? FormFields`

    Form fields for a presigned POST request

### Example

```csharp
SheetGetResultTableParams parameters = new()
{
    SpreadsheetJobID = "spreadsheet_job_id",
    RegionID = "region_id",
    RegionType = RegionType.CellMetadata,
};

var presignedUrl = await client.Sheets.GetResultTable(parameters);

Console.WriteLine(presignedUrl);
```

#### Response

```json
{
  "expires_at": "2019-12-27T18:11:19.117Z",
  "url": "https://example.com",
  "form_fields": {
    "foo": "string"
  }
}
```
